View Issue Details

IDProjectCategoryView StatusLast Update
0001484SOGoBackend Generalpublic2011-11-04 10:52
Reporterwolfgangp Assigned Tofrancis  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.9 
Fixed in Version1.3.10 
Summary0001484: Can't update vComponents with MySQL
Description

After updating from 1.3.7 to 1.3.9 (Ubuntu 10.04) I noticed that it is no longer possible to modify an existing task (tested from Web,TB and iOS5). My users can only create and delete them.

Modification of appointments in the calendar works fine.

Additional Information

Mysql-Debug shows that there is an error in the update-statement, all the "is"-columns (c_iscylce,c_isallday,c_isopaque) are set to NO instead of 0 so the database complains about not finding a column named "NO".

Insert-Statements look like this:
(c_iscycle, c_isopaque, c_isallday) VALUES (0,0,0)

Update values look like this:
c_iscycle = NO, c_isopaque = NO, c_isallday = NO

Debuglog on update shows:
2011-11-03 09:16:17.492 sogod[28857] <MySQL4Channel[0x0x2c85000] connection=0x0x269ac90> ERROR: Unknown column 'NO' in 'field list'

Tagssogo, thunderbird

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2011-11-03 04:21 wolfgangp New Issue
2011-11-04 10:43 francis Status new => resolved
2011-11-04 10:43 francis Fixed in Version => 1.3.10
2011-11-04 10:43 francis Resolution open => fixed
2011-11-04 10:43 francis Assigned To => francis
2011-11-04 10:52 francis Summary Unable to modify tasks (ToDo), only creating and deleting works => Can't update vComponents with MySQL
2011-11-07 08:17 joolsr Tag Attached: sogo
2011-11-07 08:17 joolsr Tag Attached: thunderbird